Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519951 - [abrt] pragha: myrealloc(): pragha killed by SIGABRT
Summary: [abrt] pragha: myrealloc(): pragha killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pragha
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f5acdcdb9e15797ad2fff922d6c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 18:55 UTC by Daniel D.
Modified: 2018-05-29 11:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:36:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: cgroup (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: core_backtrace (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: cpuinfo (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: dso_list (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: environ (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: limits (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: maps (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: open_fds (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: proc_pid_status (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details
File: var_log_messages (deleted)
2017-12-01 18:55 UTC, Daniel D.
no flags Details

Description Daniel D. 2017-12-01 18:55:10 UTC
Version-Release number of selected component:
pragha-1.3.3-6.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        pragha
crash_function: myrealloc
executable:     /usr/bin/pragha
journald_cursor: s=9922d4ec231847fc80a0b5cfc5e6bbaa;i=178aeb;b=d0a23fa73d5f491e823405a0b1bb8fb5;m=9a543357f;t=55eccea0abd2c;x=2288448c1fa99c9
kernel:         4.13.13-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Daniel D. 2017-12-01 18:55:16 UTC
Created attachment 1361731 [details]
File: backtrace

Comment 2 Daniel D. 2017-12-01 18:55:17 UTC
Created attachment 1361732 [details]
File: cgroup

Comment 3 Daniel D. 2017-12-01 18:55:19 UTC
Created attachment 1361733 [details]
File: core_backtrace

Comment 4 Daniel D. 2017-12-01 18:55:21 UTC
Created attachment 1361734 [details]
File: cpuinfo

Comment 5 Daniel D. 2017-12-01 18:55:23 UTC
Created attachment 1361735 [details]
File: dso_list

Comment 6 Daniel D. 2017-12-01 18:55:25 UTC
Created attachment 1361736 [details]
File: environ

Comment 7 Daniel D. 2017-12-01 18:55:27 UTC
Created attachment 1361737 [details]
File: limits

Comment 8 Daniel D. 2017-12-01 18:55:29 UTC
Created attachment 1361738 [details]
File: maps

Comment 9 Daniel D. 2017-12-01 18:55:30 UTC
Created attachment 1361739 [details]
File: open_fds

Comment 10 Daniel D. 2017-12-01 18:55:31 UTC
Created attachment 1361740 [details]
File: proc_pid_status

Comment 11 Daniel D. 2017-12-01 18:55:33 UTC
Created attachment 1361741 [details]
File: var_log_messages

Comment 12 Mukundan Ragavan 2017-12-02 15:22:21 UTC
Does this need specific steps to trigger or does pragha crash upon launching?

Comment 13 Daniel D. 2017-12-04 22:57:31 UTC
Never crashed upon launching.  All crashes have occurred some time after launch, while playing.

First symptom announcing something is going wrong: scrobbler plugin fails to upload the current song data to last.fm.  

Pragha keeps playing after showing the plugin failure message, but crashes after a while (not necessarily on that very same song where scrobbling started failing).  Every song played after the first scrobbling failure also fails to be scrobbled, until pragha crashes.

Music file type/data/tags do not seem to be the culprit, since the same files can be played and scrobbled OK most times; and i haven't managed to make it crash two times playing the exact same files.

Comment 14 Daniel D. 2017-12-05 19:51:21 UTC
Similar problem has been detected:

Played and scrobbled OK some 30 music files.  Left it idle for about 20 hours.
Started playing some more files (about 3 or 4 more), and they weren't scrobbled.  
Pragha finished playing them all and went idle again, then crashed several minutes after.

Found this in ~/.xsession-errors:
pragha: malloc.c:2845: mremap_chunk: Assertion `((size + offset) & (GLRO (dl_pagesize) - 1)) == 0' failed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        pragha
crash_function: myrealloc
executable:     /usr/bin/pragha
journald_cursor: s=9922d4ec231847fc80a0b5cfc5e6bbaa;i=17b082;b=7d96db308b194f75aecf48c7c402208a;m=4098a7a881;t=55f9ccd77ffcf;x=465498c7d9143c38
kernel:         4.13.16-200.fc26.x86_64
package:        pragha-1.3.3-6.fc26
reason:         pragha killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2018-05-03 09:10:19 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:36:49 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.